<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:32 CEST 2019 -->
<title>FirebirdConnectionProperties (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FirebirdConnectionProperties (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6,"i28":6,"i29":6,"i30":6,"i31":6,"i32":6,"i33":6,"i34":6,"i35":6,"i36":6,"i37":6,"i38":6,"i39":6,"i40":6,"i41":6,"i42":6,"i43":6,"i44":6,"i45":6,"i46":6,"i47":6,"i48":6,"i49":6,"i50":6,"i51":6,"i52":6,"i53":6,"i54":6,"i55":6,"i56":6,"i57":6,"i58":6,"i59":6,"i60":6,"i61":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdConnectionProperties.html" target="_top">Frames</a></li>
<li><a href="FirebirdConnectionProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Interface FirebirdConnectionProperties" class="title">Interface FirebirdConnectionProperties</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html" title="class in org.firebirdsql.ds">FBAbstractCommonDataSource</a>, <a href="../../../org/firebirdsql/ds/FBConnectionPoolDataSource.html" title="class in org.firebirdsql.ds">FBConnectionPoolDataSource</a>, <a href="../../../org/firebirdsql/jdbc/FBConnectionProperties.html" title="class in org.firebirdsql.jdbc">FBConnectionProperties</a>, <a href="../../../org/firebirdsql/jca/FBManagedConnectionFactory.html" title="class in org.firebirdsql.jca">FBManagedConnectionFactory</a>, <a href="../../../org/firebirdsql/ds/FBSimpleDataSource.html" title="class in org.firebirdsql.ds">FBSimpleDataSource</a>, <a href="../../../org/firebirdsql/ds/FBXADataSource.html" title="class in org.firebirdsql.ds">FBXADataSource</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FirebirdConnectionProperties</span></pre>
<div class="block">Connection properties for the Firebird connection. Main part of this
 interface corresponds to the Database Parameter Buffer, but also contains
 properties to specify default transaction parameters.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getAuthPlugins--">getAuthPlugins</a></span>()</code>
<div class="block">Get the list of authentication plugins to try.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getBlobBufferSize--">getBlobBufferSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getBuffersNumber--">getBuffersNumber</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getCharSet--">getCharSet</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getConnectTimeout--">getConnectTimeout</a></span>()</code>
<div class="block">Get the current connect timeout.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getDatabase--">getDatabase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getDatabaseParameterBuffer--">getDatabaseParameterBuffer</a></span>()</code>
<div class="block">Get the database parameter buffer corresponding to the current connection
 request information.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getDbCryptConfig--">getDbCryptConfig</a></span>()</code>
<div class="block">Get the database encryption plugin configuration.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getDefaultIsolation--">getDefaultIsolation</a></span>()</code>
<div class="block">Get the default transaction isolation level as string.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getDefaultTransactionIsolation--">getDefaultTransactionIsolation</a></span>()</code>
<div class="block">Get the default transaction isolation level.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getEncoding--">getEncoding</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getGeneratedKeysEnabled--">getGeneratedKeysEnabled</a></span>()</code>
<div class="block">Get the <code>generatedKeysEnabled</code> configuration.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getNonStandardProperty-java.lang.String-">getNonStandardProperty</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Get the property that does not have corresponding getter method by its
 name.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getPassword--">getPassword</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getRoleName--">getRoleName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getSessionTimeZone--">getSessionTimeZone</a></span>()</code>
<div class="block">Get the <code>sessionTimeZone</code>.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getSocketBufferSize--">getSocketBufferSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getSoTimeout--">getSoTimeout</a></span>()</code>
<div class="block">Get the current Socket blocking timeout (SoTimeout).</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getSqlDialect--">getSqlDialect</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getTimeZoneBind--">getTimeZoneBind</a></span>()</code>
<div class="block">Get the <code>timeZoneBind</code> configuration.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getTpbMapping--">getTpbMapping</a></span>()</code>
<div class="block">Get the used TPB mapping.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getTransactionParameters-int-">getTransactionParameters</a></span>(int&nbsp;isolation)</code>
<div class="block">Get the transaction parameter buffer corresponding to the current
 connection request information.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getType--">getType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getUserName--">getUserName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getWireCrypt--">getWireCrypt</a></span>()</code>
<div class="block">Get the wire encryption level value.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#isDefaultResultSetHoldable--">isDefaultResultSetHoldable</a></span>()</code>
<div class="block">Get the default ResultSet holdability.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#isIgnoreProcedureType--">isIgnoreProcedureType</a></span>()</code>
<div class="block">Get the value for <code>ignoreProcedureType</code>.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#isTimestampUsesLocalTimezone--">isTimestampUsesLocalTimezone</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#isUseFirebirdAutocommit--">isUseFirebirdAutocommit</a></span>()</code>
<div class="block">Get whether to use Firebird autocommit (experimental).</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#isUseStandardUdf--">isUseStandardUdf</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#isUseStreamBlobs--">isUseStreamBlobs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;authPlugins)</code>
<div class="block">Sets the authentication plugins to try.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setBlobBufferSize-int-">setBlobBufferSize</a></span>(int&nbsp;bufferSize)</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setBuffersNumber-int-">setBuffersNumber</a></span>(int&nbsp;buffersNumber)</code>&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setCharSet-java.lang.String-">setCharSet</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charSet)</code>&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setConnectTimeout-int-">setConnectTimeout</a></span>(int&nbsp;connectTimeout)</code>
<div class="block">Set the connect timeout.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setDatabase-java.lang.String-">setDatabase</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;database)</code>&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dbCryptConfig)</code>
<div class="block">Sets the database encryption plugin configuration.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setDefaultIsolation-java.lang.String-">setDefaultIsolation</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;isolation)</code>
<div class="block">Set the default transaction isolation level as string.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setDefaultResultSetHoldable-boolean-">setDefaultResultSetHoldable</a></span>(boolean&nbsp;isHoldable)</code>
<div class="block">Sets the default ResultSet holdability.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setDefaultTransactionIsolation-int-">setDefaultTransactionIsolation</a></span>(int&nbsp;defaultIsolationLevel)</code>
<div class="block">Set the default transaction isolation level.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setEncoding-java.lang.String-">setEncoding</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setGeneratedKeysEnabled-java.lang.String-">setGeneratedKeysEnabled</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;generatedKeysEnabled)</code>
<div class="block">Sets the <code>generatedKeysEnabled</code> configuration.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setIgnoreProcedureType-boolean-">setIgnoreProcedureType</a></span>(boolean&nbsp;ignoreProcedureType)</code>
<div class="block">Sets the value <code>ignoreProcedureType</code>.</div>
</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setNonStandardProperty-java.lang.String-">setNonStandardProperty</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyMapping)</code>
<div class="block">Set the property that does not have corresponding setter method.</div>
</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setNonStandardProperty-java.lang.String-java.lang.String-">setNonStandardProperty</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the property that does not have corresponding setter method.</div>
</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setPassword-java.lang.String-">setPassword</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setRoleName-java.lang.String-">setRoleName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;roleName)</code>&nbsp;</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setSessionTimeZone-java.lang.String-">setSessionTimeZone</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sessionTimeZone)</code>
<div class="block">Sets the <code>sessionTimeZone</code>.</div>
</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setSocketBufferSize-int-">setSocketBufferSize</a></span>(int&nbsp;socketBufferSize)</code>&nbsp;</td>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setSoTimeout-int-">setSoTimeout</a></span>(int&nbsp;soTimeout)</code>
<div class="block">Set the Socket blocking timeout (SoTimeout).</div>
</td>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setSqlDialect-java.lang.String-">setSqlDialect</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sqlDialect)</code>&nbsp;</td>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setTimestampUsesLocalTimezone-boolean-">setTimestampUsesLocalTimezone</a></span>(boolean&nbsp;timestampUsesLocalTimezone)</code>&nbsp;</td>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setTimeZoneBind-java.lang.String-">setTimeZoneBind</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;timeZoneBind)</code>
<div class="block">Sets the <code>timeZoneBind</code> configuration.</div>
</td>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setTpbMapping-java.lang.String-">setTpbMapping</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tpbMapping)</code>
<div class="block">Set path to the properties file with the TPB mapping.</div>
</td>
</tr>
<tr id="i55" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setTransactionParameters-int-org.firebirdsql.gds.TransactionParameterBuffer-">setTransactionParameters</a></span>(int&nbsp;isolation,
                        <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)</code>
<div class="block">Set transaction parameters for the specified transaction isolation level.</div>
</td>
</tr>
<tr id="i56" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setType-java.lang.String-">setType</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</code>&nbsp;</td>
</tr>
<tr id="i57" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setUseFirebirdAutocommit-boolean-">setUseFirebirdAutocommit</a></span>(boolean&nbsp;useFirebirdAutocommit)</code>
<div class="block">Set whether to use Firebird autocommit (experimental).</div>
</td>
</tr>
<tr id="i58" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setUserName-java.lang.String-">setUserName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userName)</code>&nbsp;</td>
</tr>
<tr id="i59" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setUseStandardUdf-boolean-">setUseStandardUdf</a></span>(boolean&nbsp;useStandardUdf)</code>&nbsp;</td>
</tr>
<tr id="i60" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setUseStreamBlobs-boolean-">setUseStreamBlobs</a></span>(boolean&nbsp;useStreamBlobs)</code>&nbsp;</td>
</tr>
<tr id="i61" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setWireCrypt-java.lang.String-">setWireCrypt</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;wireCrypt)</code>
<div class="block">Sets the wire encryption level.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabase</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDatabase()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>path to the database including the server name and the port,
 if needed.</dd>
</dl>
</li>
</ul>
<a name="setDatabase-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDatabase</h4>
<pre>void&nbsp;setDatabase(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;database)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - path to the database including the server name and the
         port, if needed.</dd>
</dl>
</li>
</ul>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getType()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>type of the connection, for example, "PURE_JAVA", "LOCAL",
 "EMBEDDED", depends on the GDS implementations installed in the system.</dd>
</dl>
</li>
</ul>
<a name="setType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setType</h4>
<pre>void&nbsp;setType(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - type of the connection, for example, "PURE_JAVA", "LOCAL",
         "EMBEDDED", depends on the GDS implementations installed in the system.</dd>
</dl>
</li>
</ul>
<a name="getBlobBufferSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlobBufferSize</h4>
<pre>int&nbsp;getBlobBufferSize()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>BLOB buffer size in bytes.</dd>
</dl>
</li>
</ul>
<a name="setBlobBufferSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBlobBufferSize</h4>
<pre>void&nbsp;setBlobBufferSize(int&nbsp;bufferSize)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bufferSize</code> - size of the BLOB buffer in bytes.</dd>
</dl>
</li>
</ul>
<a name="getCharSet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCharSet</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCharSet()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Character set for the connection.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setCharSet-java.lang.String-"><code>setCharSet(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="setCharSet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCharSet</h4>
<pre>void&nbsp;setCharSet(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charSet)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charSet</code> - Character set for the connection. Similar to
         <code>encoding</code> property, but accepts Java names
         instead of Firebird ones.</dd>
</dl>
</li>
</ul>
<a name="getEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncoding</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getEncoding()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Character encoding for the connection.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setEncoding-java.lang.String-"><code>setEncoding(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="setEncoding-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEncoding</h4>
<pre>void&nbsp;setEncoding(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>encoding</code> - Character encoding for the connection. See Firebird
         documentation for more information.</dd>
</dl>
</li>
</ul>
<a name="getRoleName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoleName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRoleName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SQL role to use.</dd>
</dl>
</li>
</ul>
<a name="setRoleName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRoleName</h4>
<pre>void&nbsp;setRoleName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;roleName)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roleName</code> - SQL role to use.</dd>
</dl>
</li>
</ul>
<a name="getSqlDialect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSqlDialect</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSqlDialect()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SQL dialect of the client.</dd>
</dl>
</li>
</ul>
<a name="setSqlDialect-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSqlDialect</h4>
<pre>void&nbsp;setSqlDialect(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sqlDialect)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sqlDialect</code> - SQL dialect of the client.</dd>
</dl>
</li>
</ul>
<a name="isUseStreamBlobs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUseStreamBlobs</h4>
<pre>boolean&nbsp;isUseStreamBlobs()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if stream blobs should be created, otherwise
 <code>false</code>.</dd>
</dl>
</li>
</ul>
<a name="setUseStreamBlobs-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUseStreamBlobs</h4>
<pre>void&nbsp;setUseStreamBlobs(boolean&nbsp;useStreamBlobs)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>useStreamBlobs</code> - <code>true</code> if stream blobs should be created,
         otherwise <code>false</code>.</dd>
</dl>
</li>
</ul>
<a name="isUseStandardUdf--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUseStandardUdf</h4>
<pre>boolean&nbsp;isUseStandardUdf()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if driver should assume that standard UDF are
 installed.</dd>
</dl>
</li>
</ul>
<a name="setUseStandardUdf-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUseStandardUdf</h4>
<pre>void&nbsp;setUseStandardUdf(boolean&nbsp;useStandardUdf)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>useStandardUdf</code> - <code>true</code> if driver should assume that standard UDF
         are installed.</dd>
</dl>
</li>
</ul>
<a name="getSocketBufferSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSocketBufferSize</h4>
<pre>int&nbsp;getSocketBufferSize()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>socket buffer size in bytes, or -1 is not specified.</dd>
</dl>
</li>
</ul>
<a name="setSocketBufferSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSocketBufferSize</h4>
<pre>void&nbsp;setSocketBufferSize(int&nbsp;socketBufferSize)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>socketBufferSize</code> - socket buffer size in bytes.</dd>
</dl>
</li>
</ul>
<a name="isTimestampUsesLocalTimezone--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTimestampUsesLocalTimezone</h4>
<pre>boolean&nbsp;isTimestampUsesLocalTimezone()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if the Jaybird 1.0 handling of the calendar
 in corresponding setters. This is also compatible with MySQL
 calendar treatment.</dd>
</dl>
</li>
</ul>
<a name="setTimestampUsesLocalTimezone-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimestampUsesLocalTimezone</h4>
<pre>void&nbsp;setTimestampUsesLocalTimezone(boolean&nbsp;timestampUsesLocalTimezone)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timestampUsesLocalTimezone</code> - <code>true</code> if the Jaybird 1.0 handling of the
         calendar in corresponding setters. This is also compatible
         with MySQL calendar treatment.</dd>
</dl>
</li>
</ul>
<a name="getUserName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUserName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>name of the user that will be used when connecting to the database.</dd>
</dl>
</li>
</ul>
<a name="setUserName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUserName</h4>
<pre>void&nbsp;setUserName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userName)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>userName</code> - name of the user that will be used when connecting to the database.</dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>password corresponding to the specified user name.</dd>
</dl>
</li>
</ul>
<a name="setPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>void&nbsp;setPassword(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>password</code> - password corresponding to the specified user name.</dd>
</dl>
</li>
</ul>
<a name="getBuffersNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuffersNumber</h4>
<pre>int&nbsp;getBuffersNumber()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of cache buffers that should be allocated for this
 connection, should be specified for ClassicServer instances,
 SuperServer has a server-wide configuration parameter.</dd>
</dl>
</li>
</ul>
<a name="setBuffersNumber-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBuffersNumber</h4>
<pre>void&nbsp;setBuffersNumber(int&nbsp;buffersNumber)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buffersNumber</code> - number of cache buffers that should be allocated for this
         connection, should be specified for ClassicServer instances,
         SuperServer has a server-wide configuration parameter.</dd>
</dl>
</li>
</ul>
<a name="getNonStandardProperty-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNonStandardProperty</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getNonStandardProperty(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</pre>
<div class="block">Get the property that does not have corresponding getter method by its
 name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - name of the property to get.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of the property.</dd>
</dl>
</li>
</ul>
<a name="setNonStandardProperty-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNonStandardProperty</h4>
<pre>void&nbsp;setNonStandardProperty(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the property that does not have corresponding setter method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - name of the property to set.</dd>
<dd><code>value</code> - value of the property.</dd>
</dl>
</li>
</ul>
<a name="setNonStandardProperty-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNonStandardProperty</h4>
<pre>void&nbsp;setNonStandardProperty(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyMapping)</pre>
<div class="block">Set the property that does not have corresponding setter method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>propertyMapping</code> - parameter value in the ?propertyName[=propertyValue]? form,
         this allows setting non-standard parameters using
         configuration files.</dd>
</dl>
</li>
</ul>
<a name="getDatabaseParameterBuffer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseParameterBuffer</h4>
<pre><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;getDatabaseParameterBuffer()
                                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the database parameter buffer corresponding to the current connection
 request information.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>DatabaseParameterBuffer</code></a>.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if database parameter buffer cannot be created.</dd>
</dl>
</li>
</ul>
<a name="getTpbMapping--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTpbMapping</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTpbMapping()</pre>
<div class="block">Get the used TPB mapping.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>path to the TPB mapping.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setTpbMapping-java.lang.String-"><code>setTpbMapping(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="setTpbMapping-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTpbMapping</h4>
<pre>void&nbsp;setTpbMapping(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tpbMapping)</pre>
<div class="block">Set path to the properties file with the TPB mapping. The path begins
 with the protocol specification followed by the path to the resource. A
 special protocol <code>"res:"</code> should be used to specify resource
 in the classpath.
 <p/>
 For the compatibility reasons, if no protocol is specified, classpath is
 used by default.
 <p/>
 Properties file contains a mapping between the transaction isolation
 level (name of the constant in the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a> interface
 and a comma-separated list of TPB parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tpbMapping</code> - path to the properties file.</dd>
</dl>
</li>
</ul>
<a name="getDefaultTransactionIsolation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultTransactionIsolation</h4>
<pre>int&nbsp;getDefaultTransactionIsolation()</pre>
<div class="block">Get the default transaction isolation level. This is the transaction
 isolation level for the newly created connections.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>default transaction isolation level.</dd>
</dl>
</li>
</ul>
<a name="setDefaultTransactionIsolation-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultTransactionIsolation</h4>
<pre>void&nbsp;setDefaultTransactionIsolation(int&nbsp;defaultIsolationLevel)</pre>
<div class="block">Set the default transaction isolation level.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>defaultIsolationLevel</code> - default transaction isolation level.</dd>
</dl>
</li>
</ul>
<a name="getDefaultIsolation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultIsolation</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDefaultIsolation()</pre>
<div class="block">Get the default transaction isolation level as string. This method is
 complementary to the <a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#getDefaultTransactionIsolation--"><code>getDefaultTransactionIsolation()</code></a>, however
 it takes a string as parameter instead of a numeric constant.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>default transaction isolation as string.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setDefaultIsolation-java.lang.String-"><code>setDefaultIsolation(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="setDefaultIsolation-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultIsolation</h4>
<pre>void&nbsp;setDefaultIsolation(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;isolation)</pre>
<div class="block">Set the default transaction isolation level as string. This method is
 complementary to the <a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html#setDefaultTransactionIsolation-int-"><code>setDefaultTransactionIsolation(int)</code></a>,
 however it takes a string as parameter instead of a numeric constant.
 <p/>
 Following strings are allowed:
 <ul>
 <li><code>"TRANSACTION_READ_COMMITTED"</code> for a READ COMMITTED
 isolation level.
 <li><code>"TRANSACTION_REPEATABLE_READ"</code> for a REPEATABLE READ
 isolation level.
 <li><code>"TRANSACTION_SERIALIZABLE"</code> for a SERIALIZABLE
 isolation level.
 </ul></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isolation</code> - string constant representing a default isolation level.</dd>
</dl>
</li>
</ul>
<a name="getTransactionParameters-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransactionParameters</h4>
<pre><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;getTransactionParameters(int&nbsp;isolation)</pre>
<div class="block">Get the transaction parameter buffer corresponding to the current
 connection request information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isolation</code> - transaction isolation level for which TPB should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>TransactionParameterBuffer</code></a>.</dd>
</dl>
</li>
</ul>
<a name="setTransactionParameters-int-org.firebirdsql.gds.TransactionParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransactionParameters</h4>
<pre>void&nbsp;setTransactionParameters(int&nbsp;isolation,
                              <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)</pre>
<div class="block">Set transaction parameters for the specified transaction isolation level.
 The specified TPB is used as a default mapping for the specified
 isolation level.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isolation</code> - transaction isolation level.</dd>
<dd><code>tpb</code> - instance of <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>TransactionParameterBuffer</code></a> containing
         transaction parameters.</dd>
</dl>
</li>
</ul>
<a name="isDefaultResultSetHoldable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDefaultResultSetHoldable</h4>
<pre>boolean&nbsp;isDefaultResultSetHoldable()</pre>
<div class="block">Get the default ResultSet holdability.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when ResultSets are holdable by default, <code>false</code> not holdable.</dd>
</dl>
</li>
</ul>
<a name="setDefaultResultSetHoldable-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultResultSetHoldable</h4>
<pre>void&nbsp;setDefaultResultSetHoldable(boolean&nbsp;isHoldable)</pre>
<div class="block">Sets the default ResultSet holdability.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isHoldable</code> - <code>true</code> when ResultSets are holdable by default, <code>false</code> not holdable.</dd>
</dl>
</li>
</ul>
<a name="getSoTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSoTimeout</h4>
<pre>int&nbsp;getSoTimeout()</pre>
<div class="block">Get the current Socket blocking timeout (SoTimeout).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The socket blocking timeout in milliseconds (0 is 'infinite')</dd>
</dl>
</li>
</ul>
<a name="setSoTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSoTimeout</h4>
<pre>void&nbsp;setSoTimeout(int&nbsp;soTimeout)</pre>
<div class="block">Set the Socket blocking timeout (SoTimeout).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>soTimeout</code> - Timeout in milliseconds (0 is 'infinite')</dd>
</dl>
</li>
</ul>
<a name="getConnectTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectTimeout</h4>
<pre>int&nbsp;getConnectTimeout()</pre>
<div class="block">Get the current connect timeout.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Connect timeout in seconds (0 is 'infinite', or better: OS specific timeout)</dd>
</dl>
</li>
</ul>
<a name="setConnectTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnectTimeout</h4>
<pre>void&nbsp;setConnectTimeout(int&nbsp;connectTimeout)</pre>
<div class="block">Set the connect timeout.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connectTimeout</code> - Connect timeout in seconds (0 is 'infinite', or better: OS specific timeout)</dd>
</dl>
</li>
</ul>
<a name="isUseFirebirdAutocommit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUseFirebirdAutocommit</h4>
<pre>boolean&nbsp;isUseFirebirdAutocommit()</pre>
<div class="block">Get whether to use Firebird autocommit (experimental).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> use Firebird autocommit</dd>
</dl>
</li>
</ul>
<a name="setUseFirebirdAutocommit-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUseFirebirdAutocommit</h4>
<pre>void&nbsp;setUseFirebirdAutocommit(boolean&nbsp;useFirebirdAutocommit)</pre>
<div class="block">Set whether to use Firebird autocommit (experimental).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>useFirebirdAutocommit</code> - <code>true</code> Use Firebird autocommit</dd>
</dl>
</li>
</ul>
<a name="getWireCrypt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWireCrypt</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getWireCrypt()</pre>
<div class="block">Get the wire encryption level value.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Wire encryption level (<code>null</code> implies <code>DEFAULT</code>)</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="setWireCrypt-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWireCrypt</h4>
<pre>void&nbsp;setWireCrypt(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;wireCrypt)</pre>
<div class="block">Sets the wire encryption level.
 <p>
 Values are defined by <a href="../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng"><code>WireCrypt</code></a>, values are handled case insensitive.
 Invalid values are accepted, but will cause an error when a connection is established.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>wireCrypt</code> - Wire encryption level</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="getDbCryptConfig--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDbCryptConfig</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDbCryptConfig()</pre>
<div class="block">Get the database encryption plugin configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Database encryption plugin configuration, meaning plugin specific</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0.4</dd>
</dl>
</li>
</ul>
<a name="setDbCryptConfig-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDbCryptConfig</h4>
<pre>void&nbsp;setDbCryptConfig(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dbCryptConfig)</pre>
<div class="block">Sets the database encryption plugin configuration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dbCryptConfig</code> - Database encryption plugin configuration, meaning plugin specific</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0.4</dd>
</dl>
</li>
</ul>
<a name="getAuthPlugins--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAuthPlugins</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAuthPlugins()</pre>
<div class="block">Get the list of authentication plugins to try.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>comma-separated list of authentication plugins, or <code>null</code> for driver default</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="setAuthPlugins-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAuthPlugins</h4>
<pre>void&nbsp;setAuthPlugins(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;authPlugins)</pre>
<div class="block">Sets the authentication plugins to try.
 <p>
 Invalid names are skipped during authentication.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>authPlugins</code> - comma-separated list of authentication plugins, or <code>null</code> for driver default</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="getGeneratedKeysEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeneratedKeysEnabled</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getGeneratedKeysEnabled()</pre>
<div class="block">Get the <code>generatedKeysEnabled</code> configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>configuration value for <code>generatedKeysEnabled</code>, or <code>null</code> for driver default</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="setGeneratedKeysEnabled-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeneratedKeysEnabled</h4>
<pre>void&nbsp;setGeneratedKeysEnabled(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;generatedKeysEnabled)</pre>
<div class="block">Sets the <code>generatedKeysEnabled</code> configuration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>generatedKeysEnabled</code> - Generated keys support configuration: <code>default</code> (or null/empty), <code>disabled</code>, <code>ignored</code>,
         or a list of statement types to enable (possible values: <code>insert</code>, <code>update</code>, <code>delete</code>,
         <code>update_or_insert</code>, <code>merge</code>)</dd>
</dl>
</li>
</ul>
<a name="getTimeZoneBind--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimeZoneBind</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTimeZoneBind()</pre>
<div class="block">Get the <code>timeZoneBind</code> configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>configuration value for <code>timeZoneBind</code>, or <code>null</code> for driver default</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="setTimeZoneBind-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimeZoneBind</h4>
<pre>void&nbsp;setTimeZoneBind(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;timeZoneBind)</pre>
<div class="block">Sets the <code>timeZoneBind</code> configuration.
 <p>
 If the value is explicitly set to a non-null value and the connected server is Firebird 4 or higher, this will
 execute <code>SET TIME ZONE BIND</code> with the specified value. We advise only to use this when setting to <code>legacy</code>, as <code>native</code> is already the default and avoids the overhead of setting it explicitly.
 </p>
 <p>
 Invalid values are not ignored and will be executed, this will yield a syntax error which will be logged and
 ignored. As a result, specifying an invalid value will behave as the default (native).
 </p>
 <p>
 See also Firebird documentation for <code>SET TIME ZONE BIND</code>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeZoneBind</code> - Firebird 4+ time zone bind configuration: default (<code>null</code>), <code>native</code>, <code>legacy</code></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="getSessionTimeZone--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSessionTimeZone</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSessionTimeZone()</pre>
<div class="block">Get the <code>sessionTimeZone</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value for <code>sessionTimeZone</code>, or <code>null</code> for driver default (JVM default time zone)</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="setSessionTimeZone-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSessionTimeZone</h4>
<pre>void&nbsp;setSessionTimeZone(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sessionTimeZone)</pre>
<div class="block">Sets the <code>sessionTimeZone</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sessionTimeZone</code> - Firebird 4+ session time zone name (we strongly suggest to use Java compatible names only),
         use <code>"server"</code> to use server default time zone (note: conversion will use JVM default time zone)</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="isIgnoreProcedureType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIgnoreProcedureType</h4>
<pre>boolean&nbsp;isIgnoreProcedureType()</pre>
<div class="block">Get the value for <code>ignoreProcedureType</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value for <code>ignoreProcedureType</code></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0.6</dd>
</dl>
</li>
</ul>
<a name="setIgnoreProcedureType-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setIgnoreProcedureType</h4>
<pre>void&nbsp;setIgnoreProcedureType(boolean&nbsp;ignoreProcedureType)</pre>
<div class="block">Sets the value <code>ignoreProcedureType</code>.
 <p>
 When set to true, the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql"><code>CallableStatement</code></a> implementation in Jaybird will ignore metadata
 information about the stored procedure type and default to using <code>EXECUTE PROCEDURE</code>, unless the type is
 explicitly set using <a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html#setSelectableProcedure-boolean-"><code>FirebirdCallableStatement.setSelectableProcedure(boolean)</code></a>. This can be useful in
 situations where a stored procedure is selectable, but tooling or code expects an executable stored procedure.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ignoreProcedureType</code> - <code>true</code> Ignore procedure type</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0.6</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdConnectionProperties.html" target="_top">Frames</a></li>
<li><a href="FirebirdConnectionProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
